Package icyllis.arc3d.compiler.tree

# Class ForLoop

java.lang.Object
icyllis.arc3d.compiler.tree.Node
icyllis.arc3d.compiler.tree.Statement
icyllis.arc3d.compiler.tree.ForLoop

public final class ForLoop extends Statement

     for (init; condition; step)
         loop-statement

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class icyllis.arc3d.compiler.tree.Node

  `Node.ElementKind, Node.ExpressionKind, Node.StatementKind, Node.SymbolKind`

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.compiler.tree.Node

  `mPosition`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForLoop(int position, Statement init, Expression condition, Expression step, Statement statement)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accept(TreeVisitor visitor)`
  Visit this AST with a given visitor.
  `static Statement`
  `convert(Context context, int pos, Statement init, Expression cond, Expression step, Statement statement)`
  `Expression`
  `getCondition()`
  `Statement`
  `getInit()`
  `Node.StatementKind`
  `getKind()`
  `Statement`
  `getStatement()`
  `Expression`
  `getStep()`
  `static Statement`
  `make(int pos, Statement init, Expression cond, Expression step, Statement statement)`
  `void`
  `setCondition(Expression condition)`
  `void`
  `setInit(Statement init)`
  `void`
  `setStatement(Statement statement)`
  `void`
  `setStep(Expression step)`
  `String`
  `toString()`

  ### Methods inherited from class icyllis.arc3d.compiler.tree.Statement

  `isEmpty`

  ### Methods inherited from class icyllis.arc3d.compiler.tree.Node

  `getEndOffset, getStartOffset`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ForLoop

    public ForLoop(int position, Statement init, Expression condition, Expression step, Statement statement)

- ## Method Details

  - ### convert

    @Nullable public static Statement convert(@Nonnull Context context, int pos, Statement init, Expression cond, Expression step, Statement statement)

  - ### make

    public static Statement make(int pos, Statement init, Expression cond, Expression step, Statement statement)

  - ### getKind

    public Node.StatementKind getKind()
    Specified by:
      `getKind` in class `Statement`
    See Also:
      - `Node.StatementKind`

  - ### accept

    public boolean accept(@Nonnull TreeVisitor visitor)
    Description copied from class: `Node`
    Visit this AST with a given visitor.
    Specified by:
      `accept` in class `Node`
    Returns:
      true to stop recursion and propagate true up the stack, false to continue

  - ### getInit

    public Statement getInit()

  - ### setInit

    public void setInit(Statement init)

  - ### getCondition

    public Expression getCondition()

  - ### setCondition

    public void setCondition(Expression condition)

  - ### getStep

    public Expression getStep()

  - ### setStep

    public void setStep(Expression step)

  - ### getStatement

    public Statement getStatement()

  - ### setStatement

    public void setStatement(Statement statement)

  - ### toString

    @Nonnull public String toString()
    Specified by:
      `toString` in class `Node`
    Returns:
      a string representation of this AST node